## bazaar 0.5.2

=== debian/changelog ===
bazaar (0.5.2-1) unstable; urgency=medium

  * Initial release (Closes: #1114463)

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Wed, 01 Oct 2025 11:15:35 +0330

=== debian/watch ===
version=4
https://github.com/kolunmi/bazaar/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## bazaar 0.5.3

=== debian/changelog ===
bazaar (0.5.3-1) unstable; urgency=medium

  * Initial release (Closes: #1114463)

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Wed, 01 Oct 2025 11:15:35 +0330

## bazaar 0.5.4

=== debian/changelog ===
bazaar (0.5.4-1) unstable; urgency=medium

  * Initial release (Closes: #1114463)

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Wed, 01 Oct 2025 11:15:35 +0330

## bazaar 0.5.5

=== debian/changelog ===
bazaar (0.5.5-1) unstable; urgency=medium

  * Initial release (Closes: #1114463)

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Wed, 01 Oct 2025 11:15:35 +0330

## bazaar 0.5.8

=== meson_options.txt ===
option('hardcoded_main_config_path',
       type: 'string',
       value: '',
       description: 'Hardcoded absolute path to a main yaml config which will be read at runtime')

option('hardcoded_blocklist_path',
       type: 'string',
       value: '',
       description: 'Hardcoded absolute path to a package name blocklist which will be read at runtime')

option('hardcoded_content_config_path',
       type: 'string',
       value: '',
       description: 'Hardcoded absolute path to a yaml content configuration which will be read at runtime')

option('im_a_translator',
       type: 'boolean',
       value: false,
       description: 'Whether to set up the environment for translation work')

option('sandboxed_libflatpak',
       type: 'boolean',
       value: false,
       description: 'Whether to treat libflatpak as being sandboxed or not')

=== debian/changelog ===
bazaar (0.5.8-1) unstable; urgency=medium

  * Initial release (Closes: #1114463)

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Tue, 28 Oct 2025 06:16:12 +0330

=== debian/control ===
Source: bazaar
Section: utils
Priority: optional
Maintainer: Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>
Build-Depends:
 debhelper-compat (= 13),
 meson,
 libdex-dev,
 liblcms2-dev,
 libglycin-gtk4-2-dev,
 libglycin-2-dev,
 libyaml-dev,
 libxmlb-dev,
 libflatpak-dev,
 liburing-dev,
 appstream,
 libsoup-3.0-dev,
 blueprint-compiler,
 libjson-glib-dev,
 libgtk-4-dev,
 libadwaita-1-dev,
 desktop-file-utils,
 pkgconf,
Standards-Version: 4.7.2
Homepage: https://github.com/kolunmi/bazaar
Vcs-Browser: https://salsa.debian.org/amin_modaresi/bazaar
Vcs-Git: https://salsa.debian.org/amin_modaresi/bazaar.git

Package: bazaar
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 flatpak,
 appstream,
Description: New Flatpak App Store with Adwaita and GTK4
 Bazaar is a new app store with a focus on discovering
 and installing applications and add-ons from Flatpak remotes,
 particularly Flathub.
 .
 It emphasizes supporting the developers who make the Linux desktop possible.
 .
 Bazaar features a "curated" tab that can be configured by distributors
 to allow for a more locallized experience.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now

%:
	dh $@ --buildsystem=meson

override_dh_auto_install:
	dh_auto_install --destdir=debian/bazaar/ -O--buildsystem=meson -- -v

=== debian/watch ===
Version: 5
Template: Github
Owner: kolunmi
Project: bazaar
Dversion-Mangle: auto

## bazaar 0.7.8

=== meson_options.txt ===
--- 
+++ 
@@ -22,3 +22,8 @@
        type: 'boolean',
        value: false,
        description: 'Whether to treat libflatpak as being sandboxed or not')
+
+option('development',
+        type: 'boolean',
+        value: false,
+        description: 'If this is a development build')

=== debian/changelog ===
bazaar (0.7.8-1) unstable; urgency=medium

  * d/watch: remove Dversion-Mangle, not-needed
  * d/control: remove Priority field
  * d/control: update Standards-Version to 4.7.3
  * New upstream version 0.7.8

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Fri, 13 Feb 2026 21:09:19 +0330

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: bazaar
 Section: utils
-Priority: optional
 Maintainer: Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>
 Build-Depends:
  debhelper-compat (= 13),
  meson,
- libdex-dev,
- liblcms2-dev,
- libglycin-gtk4-2-dev,
- libglycin-2-dev,
- libyaml-dev,
- libxmlb-dev,
- libflatpak-dev,
- liburing-dev,
- appstream,
- libsoup-3.0-dev,
- blueprint-compiler,
- libjson-glib-dev,
  libgtk-4-dev,
  libadwaita-1-dev,
+ libdex-dev,
+ libflatpak-dev,
+ appstream,
+ libxmlb-dev,
+ libglycin-2-dev,
+ libglycin-gtk4-2-dev,
+ libyaml-dev,
+ libsoup-3.0-dev,
+ libjson-glib-dev,
+ libmd4c-dev,
+ libwebkitgtk-6.0-dev,
+ libsecret-1-dev,
+ libproxy-dev,
+ blueprint-compiler,
  desktop-file-utils,
  pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/kolunmi/bazaar
 Vcs-Browser: https://salsa.debian.org/amin_modaresi/bazaar
 Vcs-Git: https://salsa.debian.org/amin_modaresi/bazaar.git

=== debian/watch ===
Version: 5
Template: Github
Owner: kolunmi
Project: bazaar

## bazaar 1.4.2

=== src/baz-manpage/Makefile ===
distdir = tla-manpage

.PHONY: all
all: all-stamp

all-stamp: generate-manpage.pl
	perl -Tw $<
	gzip -c < tla.1 > tla.1.gz
	gzip -c < baz.1 > baz.1.gz
	man2html -r tla.1 > tla.1.html.new
	mv -f tla.1.html.new tla.1.html
	man2html -r baz.1 > baz.1.html.new
	mv -f baz.1.html.new baz.1.html
	echo > $@

.PHONY: clean
clean:
	rm -f *.1 *.1.gz *.html.new *.html *-stamp *~

.PHONY: dist
dist: dist-stamp

dist-stamp: all-stamp
	mkdir $(distdir)
	cp tla.1 baz.1 generate-manpage.pl Makefile $(distdir)
	chmod 0644 $(distdir)/*
	chmod 0755 $(distdir)
	tar cvfz $(distdir).tar.gz $(distdir)/
	rm -rf $(distdir)
	chmod 0644 $(distdir).tar.gz
	echo > $@

.PHONY: upload
upload: upload-stamp

upload-stamp: dist-stamp
	chmod 0644 *.1 *.1.gz *.html generate-manpage.pl README
	rsync -avz $(distdir).tar.gz generate-manpage.pl *.html *.1 *.1.gz README h:es/tla-manpage/
	echo > $@

# arch-tag: cb89d8df-e2b8-4638-825b-09bcec18d351

=== debian/changelog ===
bazaar (1.4.2) unstable; urgency=low

  * Baz 1.4.2, corrects ancestry-graph bugs found by pybaz.

 -- Robert Collins <robertc@robertcollins.net>  Mon, 20 Jun 2005 12:17:39 +1000

bazaar (1.4.1) unstable; urgency=low

  * Baz 1.4.1, corrects some minor regressions

 -- Robert Collins <robertc@robertcollins.net>  Thu,  2 Jun 2005 15:25:11 +1000

bazaar (1.4.1~20050531) unstable; urgency=low

  * Baz 1.4.1 preview

 -- Robert Collins <robertc@robertcollins.net>  Tue, 31 May 2005 13:33:04 +1000

bazaar (1.4) unstable; urgency=low

  * Release baz 1.4 

 -- Robert Collins <robertc@robertcollins.net>  Mon, 30 May 2005 14:26:24 +1000

bazaar (1.3) unstable; urgency=low

  * Release baz 1.3

 -- Robert Collins <robertc@robertcollins.net>  Mon, 11 Apr 2005 17:41:46 +1000

bazaar (1.3~200503101951) unstable; urgency=low

  * Add libgpgme-dev and gnupg build depends

 -- Robert Collins <robertc@robertcollins.net>  Fri, 11 Mar 2005 00:08:19 +1100

bazaar (1.2) unstable; urgency=low

  * Release Bazaar 1.1.

 -- Robert Collins <robertc@robertcollins.net>  Wed,  2 Mar 2005 23:21:23 +1100

bazaar (1.2~200503020923) unstable; urgency=low

  * Break the doc packages out to separate builds.
  * Add an autogenerated manpage.

 -- Robert Collins <robertc@robertcollins.net>  Wed,  2 Mar 2005 20:25:41 +1100

bazaar (1.2~200502031255) unstable; urgency=low

  * Build bazaar-dbg with detached debug sybmols

 -- Robert Collins <robertc@robertcollins.net>  Mon,  7 Feb 2005 13:27:41 +1100

bazaar (1.1) unstable; urgency=low

  * Bazaar 1.1 release
  * remove pristine trees during the clean target.

 -- Patch Queue Manager <pqm@chinstrap>  Wed, 19 Jan 2005 07:08:48 +0000

bazaar (1.1-~200501120000) unstable; urgency=low

  * Add new languages:
    af cs de en_AU en_CA es_AR fi fe fe_BE he it_IT lt nl_BE pt_PT.

 -- Robert Collins <robertc@robertcollins.net>  Wed, 12 Jan 2005 12:00:56 +1100

bazaar (1.1-~200501040000) unstable; urgency=low

  * Update README.Debian.

 -- Robert Collins <robertc@robertcollins.net>  Tue,  4 Jan 2005 14:17:24 +1100
 

bazaar (1.1-~200411170000) unstable; urgency=low

  * Version 1.1 branch.
  * Add i18n support - build-dep on gettext.

 -- Robert Collins <robertc@robertcollins.net>  Sun,  5 Dec 2004 22:11:58 +1100

bazaar (1.0-~200411020652) unstable; urgency=low

  * Update build flags to be more conservative.

 -- Robert Collins <robertc@robertcollins.net>  Mon,  2 Nov 2004 15:52:22 +1100

bazaar (1.0-~200411010000) unstable; urgency=low

  * Branch tla and related packages for our usability branch 'bazaar'.

 -- Robert Collins <robert.collins@canonical.com>  Tue, 26 Oct 2004 20:24:00 +0100

tla (1.2-4) unstable; urgency=low

  * Hack tla so that it links to an external libneon and build-dep on
    libneon24-dev. I don't want to have to deal with neon
    problems. (closes: #247127)

 -- Andrew Suffield <asuffield@debian.org>  Sun, 30 May 2004 20:13:29 +0100

tla (1.2-3) unstable; urgency=low

  * Update libneon for CAN-2004-0179 (closes: #244412)
  * Include the fix for va_args (closes: #237728), but chuck out the rest
    of the tla--integration--1.2 changes that were in the NMU.

 -- Andrew Suffield <asuffield@debian.org>  Sun, 18 Apr 2004 17:01:22 +0100

tla (1.2-2) unstable; urgency=low

  * Rebuild. Accidentally got some stuff in the diff that shouldn't have
    been.

 -- Andrew Suffield <asuffield@debian.org>  Fri,  5 Mar 2004 05:20:48 +0000

tla (1.2-1) unstable; urgency=low

  * New upstream release
  * The documentation is GPLed now, so tla-doc is back. That also means
    the upstream tarball is pristine again.
  * Suggest gnupg. This release supports signed archives.
  * Update README.Debian to reference gluck-2004 instead of gluck-2003.
  * Remove the reference to the tutorial website from README.Debian
  * Install =gpg-check.awk as /usr/bin/tla-gpg-check
  * Add dependency on gawk
  * Install HOWTO.crypto into tla-doc

 -- Andrew Suffield <asuffield@debian.org>  Sat, 28 Feb 2004 23:25:26 +0000

tla (1.1-2) unstable; urgency=low

  * Uncomment the call to the test suite at build time. It should work now.
  * Depend on diff >= 2.8.1 and patch >= 2.5.9, to give woody users a hint

 -- Andrew Suffield <asuffield@debian.org>  Fri, 23 Jan 2004 00:45:26 +0000

tla (1.1-1) unstable; urgency=low

  * New upstream release

 -- Andrew Suffield <asuffield@debian.org>  Mon, 22 Dec 2003 14:34:01 +0000

tla (1.0.6+1.1-candidate0-1) unstable; urgency=low

  * New upstream release (closes: #207733)
    - pfs-sftp should fail a little less annoyingly now (closes: #215155)
    - default-id (ne default-tag) is fixed (closes: #207254)

 -- Andrew Suffield <asuffield@debian.org>  Sun, 14 Dec 2003 20:31:20 +0000

tla (1.0.6-4) unstable; urgency=low

  * Add note to README.Debian about
    http://people.debian.org/~asuffield/arch/
  * Remove the grossly obsolete note about ash vs bash from README.Debian
    (closes: #222787)

 -- Andrew Suffield <asuffield@debian.org>  Wed,  3 Dec 2003 21:03:45 +0000

tla (1.0.6-3) unstable; urgency=high

  * Add the dependency on patch again (oops) (closes: #207333)
  * Update debhelper build-dep to 4.0.4 or later; --sourcedir support is
    needed (closes: #202747, kinda).
  * Apply the changeset validation patch from tla 1.1
  * Suggest ssh (closes: #207503)
  * Add a note to README.Debian about the tutorial, and why it isn't
    included (closes: #207246, #207504)

 -- Andrew Suffield <asuffield@debian.org>  Wed, 22 Oct 2003 17:16:05 +0100

tla (1.0.6-2) unstable; urgency=low

  * Properly initialise op in my-revision-library/my-default-archive so
    that it doesn't sometimes delete instead of printing. (closes: #200838)

 -- Andrew Suffield <asuffield@debian.org>  Sat, 12 Jul 2003 18:36:41 +0100

tla (1.0.6-1) unstable; urgency=low

  * New upstream release
  * Note the UCD license in the copyright file (closes: #200292)
  * Include the word "arch" in the short description (closes: #199941)


=== debian/control ===
Source: bazaar
Section: devel
Priority: optional
Maintainer: Robert Collins <robert.collins@canonical.com>
Build-Depends: debhelper (>= 4.0.4), libneon24-dev, gettext, gnupg, libgpgme11-dev
Standards-Version: 3.6.1

Package: bazaar
Architecture: any
Depends: ${shlibs:Depends}, diff (>= 2.8.1), patch (>= 2.5.9), gawk
Suggests: ssh, bazaar-doc, gnupg
Description: arch revision control system
 GNU Arch is a revision control system with features that are ideal for projects
 characterised by widely distributed development, concurrent support of
 multiple releases, and substantial amounts of development on branches.
 It can be a replacement for CVS and corrects many mis-features of that system.
 .
 bazaar is an implementation of GNU Arch in C, based on tla.

Package: bazaar-dbg
Architecture: any
Depends: bazaar (= ${Source-Version})
Description: arch revision control system debug symbols
 GNU Arch is a revision control system with features that are ideal for projects
 characterised by widely distributed development, concurrent support of
 multiple releases, and substantial amounts of development on branches.
 It can be a replacement for CVS and corrects many mis-features of that system.
 .
 bazaar is an implementation of GNU Arch in C, based on tla.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2 -Wall -Werror -fno-strict-aliasing -Wstrict-prototypes  -Wmissing-prototypes -Wmissing-declarations -Wbad-function-cast
# -Wcast-qual -Wbad-function-cast -Wextra
# -Wsign-compare
endif
ifneq (,$(shell cc --version | grep 4\\.0))
CFLAGS += -Wno-pointer-sign
endif

export CFLAGS

SRC	:= $(PWD)/src
BUILD	:= $(PWD)/debian/build
TARGET	:= $(PWD)/debian/tmp
BAZAAR_LANGUAGES := \
	af \
	ca \
	cs \
	cy \
	da \
	de \
	en_AU \
	en_CA \
	es \
	es_AR \
	es_ES \
	fi \
	fr \
	fr_BE \
	fr_FR \
	hr \
	it_IT \
	ja  \
	lt \
	nl \
	nl_BE \
	pt_BR \
	pt_PT \
	zh_CN

build: debian/build-stamp
debian/build-stamp:
	dh_testdir

	[ -d $(BUILD) ] || mkdir $(BUILD)
	cd $(BUILD) && CFLAGS="" $(SRC)/configure --prefix '/usr'
	$(MAKE) -C $(BUILD)
	$(MAKE) -C $(BUILD) test

	touch debian/build-stamp

clean:
	dh_testdir
	rm -f debian/build-stamp

	perl -pi -e 's,\.\./libneon/libneon\.a,-lneon,' src/baz/baz/Makefile.in
	perl -pi -e 's,libneon.*,,' src/baz/baz/PLUGIN/REQ
	rm -f src/baz/libneon/PLUGIN/AUTOCONF
	rm -f src/baz/libneon/PLUGIN/REQ

	rm -rf $(BUILD)
	find . -name "++pristine-trees" | xargs rm -rf
	dh_clean

install: debian/build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) -C $(BUILD) install destdir=$(TARGET)
	dh_install --sourcedir=$(TARGET)
#	Why doesn't dh_install do gettext ???
	for lang in ${BAZAAR_LANGUAGES}; do \
	  install -m0755 -d $(CURDIR)/debian/bazaar/usr/share/locale/$${lang}/LC_MESSAGES; \
	  echo $(CURDIR)/debian/bazaar/usr/share/locale/$${lang}/LC_MESSAGES/bazaar.mo; \
	  install -m0444 $(TARGET)/usr/share/locale/$${lang}/LC_MESSAGES/bazaar.mo $(CURDIR)/debian/bazaar/usr/share/locale/$${lang}/LC_MESSAGES/bazaar.mo ;\
	done

#	Mangle and install gpg-check. Stupid thing has a broken shebang
	sed 's,^#!.*$$,#!/usr/bin/gawk -f,' src/baz/=gpg-check.awk > $(CURDIR)/debian/bazaar/usr/bin/bazaar-gpg-check
	chmod 0755 $(CURDIR)/debian/bazaar/usr/bin/bazaar-gpg-check

#	create and install a man page	
	mkdir -p $(BUILD)/man
	cd $(BUILD)/man && \
	env PATH="$(TARGET)/usr/bin:$(PATH)" perl $(CURDIR)/src/baz-manpage/generate-manpage.pl baz.1

binary-indep: 

binary-arch: build install
	dh_testdir -a
	dh_testroot -a

	dh_installdocs -a
	dh_installchangelogs -a src/baz/ChangeLog
	dh_installman -a

	dh_link -a
	dh_strip --dbg-package=bazaar -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
